<?php
require_once('../Web_Admin/conexion.php');
class Ganadera_P{
	function __construct()
	{}
	
	public function Folias_Asig()
	{
	   $db = new Conexion();
		$resultado = $db->query("SELECT A.*, B.*, C.Id_cliente, C.Fecha_Asig from Prod_Guias_Comite.O_Blocks A INNER JOIN Prod_Guias_Comite.O_Asig_block B on A.Id_blocks=B.Id_block and B.Id_cliente=2493 left JOIN Prod_Guias_Union.O_Asig_block_Gan C on B.Id_block=C.Id_block limit 100");
		echo '<table width="48%" class="customers"><tbody><tr><th colspan="5" >.: Lista de Blocks Disponibles :.</th>';
		echo '<tr align="center"><th width="10%">#</th><th width="20%"># Block</th><th width="32%">Folio Inicio</th><th width="28%">Folio Final</th><th width="10%">Asignar</th></tr>';
		$Cont=1;
		while ($row=$resultado->fetch_assoc()){
		if (is_null($row['Id_cliente']))		
		{
				echo '<tr><td align="center">'.$Cont.'</td><td align="center" >'.$row['Id_blocks'].'</td><td align="right" >'.$row['F_inicio'].'</td><td align="right">'.$row['F_final'].'</td><td align="center"><input type="checkbox" name="AsigBlock" class ="Asignar_B" data-fini="'.$row['F_inicio'].'" data-ffin="'.$row['F_final'].'" value="'.$row['Id_blocks'].'"></td></tr>';
				$Cont++;	
		}}
      	echo '</tbody></table>';
			}
	
	public function Cat_Clientes()
	{
		$db = new Conexion();
		$resultado = $db->query("Select * from Prod_Guias_Union.C_Municipios where Ganadera =0 and Act=1");
		echo "<div class= 'Clients'><select name='List_Clientes' id='List_Clientes' required>";
		echo '<option value="0">-- Seleccione Asociación --</option>';	
		while ($row=$resultado->fetch_assoc()){
			echo '<option value="'.$row['id'].'">'.$row['nombre'].'</option>';
		}
		echo "</select></div>";
		
	}
	
	public function List_Ganaderas()
	{
		$db = new Conexion();
		$resultado = $db->query("Select * from Prod_Guias_Union.C_Municipios where Ganadera =0");
		echo '<table class="customers"><tbody><tr><th width="10%"> #</th><th width="70%">Nombre</th><th width="20%">Opción</th></tr>';
		echo '<tr><th colspan="2"><input type="text" id="Nom_Gan" name="Nom_Gan" maxlength="50" max="50" placeholder="Nombre de la Ganadera"></th>
      		 <th><button type="button" onClick="New_Gana()">Agregar</button></th></tr>';
		$Conta=1;
		while ($row=$resultado->fetch_assoc()){
		echo '<tr><td>'.$Conta.'</td><td>'.$row['nombre'].'</td><td><button type="button" onClick="Elimina_Reg('.$row['id'].')"><img src="../Diseno/R.png" width="30" height="24" alt=""/></button></td></tr>';
		$Conta++;
		}
		echo "</tbody></table>";
		
	}
	public function Alta_Ganaderas($Nombre)
	{
		$db = new Conexion();
		$Nombre=strtolower($Nombre);
		$sql=$db->query("Select nombre from Prod_Guias_Union.C_Municipios where nombre ='$Nombre'");
		$dato=$db->recorrer($sql);
		if(!$dato){
			$sql = "Insert into Prod_Guias_Union.C_Municipios (clave, nombre, Ganadera) select lpad((max(clave) + 1),3,'0') as Clave, '$Nombre', 0 from Prod_Guias_Union.C_Municipios";
				if($db->query($sql)){
				$Aviso=true;
			}else{
				$Aviso=false;
				}	
		}else{
				$Aviso=false;
		}
		echo $Aviso;
	}
	
	
    public function Baja_Ganaderas($Reg){
		$db = new Conexion();
		$sql = "delete from Prod_Guias_Union.C_Municipios where id =$Reg";
			if($db->query($sql)){
			$Aviso=true;
		}else{
			$Aviso=false;
			}
		echo $Aviso;
	}
	
    public function Alta_Block ($Id_block, $Id_cliente)
	{
		$db = new Conexion();		
		$sql = "Insert into Prod_Guias_Union.O_Asig_block_Gan (Id_block, Id_cliente) values ($Id_block, $Id_cliente)";
		echo '<script>console.log("'.$sql.'")</script>';
		if(!$db->query($sql)) echo "!! Error de movimiento ¡¡";
	}
	
	public function Baja_Block($Id_Block)
	{
		$db = new Conexion();		
		$sql = "Delete from Prod_Guias_Union.O_Asig_block_Gan where Id_block= $Id_Block";
		//echo '<script>console.log("'.$sql.'")</script>';
		if(!$db->query($sql)) echo "!! Error de movimiento ¡¡";		
	}
	
	public function Genera_Folios($Id_Block,$Id_Cliente)
	{
		$db = new Conexion();		
		$sql = "call Prod_Guias_Union.Actualiza_Folios($Id_Cliente,$Id_Block)";
		//echo '<script>console.log("'.$sql.'")</script>';
		if(!$db->query($sql)) echo "!! Error de movimiento ¡¡";		
		
	}
	
	public function Folias_Asociacion()
	{
	   $db = new Conexion();
		$resultado = $db->query("SELECT A.Id_blocks, A.F_inicio, A.F_final, C.nombre, DATE_FORMAT(B.Fecha_Asig,'%d/%m/%Y') as Fecha_Asig FROM Prod_Guias_Comite.O_Blocks A INNER JOIN Prod_Guias_Union.O_Asig_block_Gan B on A.Id_blocks=B.Id_block INNER JOIN Prod_Guias_Union.C_Municipios C on B.Id_cliente=C.id");
		echo '<table class="customers_Fol"><tbody><tr><th colspan="7">.: Blocks Asignados :.</th></tr>
    	<tr><th width="5%">#</th><th width="7%"># Block</th><th width="15%">Folio Inicio</th><th width="15%">Folio Final</th><th width="30%">Asociacion</th>
      	<th width="18%">Fecha</th><th width="10%">Opción</th></tr>';
		$Cont=1;
		while ($row=$resultado->fetch_assoc()){
			echo '<tr><td>'.$Cont.'</td><td align="center">'.$row['Id_blocks'].'</td><td align="center">'.$row['F_inicio'].'</td><td align="center">'.$row['F_final'].'</td><td>'.$row['nombre'].'</td><td>'.$row['Fecha_Asig'].'</td><td><button type="button" onClick="Del_Gana('.$row['Id_blocks'].')">Eliminar</button></td></tr>';
			$Cont++;
		}
		echo '</tbody></table>';
	}
	
	public function Block_del($Block)
	{
		$db= new Conexion();
		$sql = "call Prod_Guias_Union.Actualiza_Folios(2493,$Block)";
		if(!$db->query($sql)) echo "!! Error de Actualización ¡¡";		
		$sql = "delete from Prod_Guias_Union.O_Asig_block_Gan where Id_block=$Block";
		if(!$db->query($sql)) echo "!! Error de Actualización ¡¡";		
		
	}
	
	
	
}// Fin de La Classe